import dayjs, {isDayjs} from "dayjs";
import utc from "dayjs/plugin/utc";
dayjs.extend(utc)
const DATE_FORMAT = "YYYY-MM-DD"
// 到秒没啥意义
const DATE_TIME_FORMAT = "YYYY-MM-DD HH:mm"

const DATE_TIME_FORMAT_SIMPLE = "MM-DD HH:mm"

function dayStartUtcFormat(dayjsString) {

    if (!dayjsString) {
        return
    }
    let dayJsObj;
    if (isDayjs(dayjsString)) {
        dayJsObj = dayjsString;
    }else {
        dayJsObj = dayjs(dayjsString);
    }
    return dayJsObj.set('h', 0).set('m', 0).set('s', 0).set('ms', 0).utc().format()
}

function dateStartUtcFormat(dateObject) {
    if (!dateObject) {
        return
    }
    let dayJsObj= dayjs(dateObject);
    return dayJsObj.set('h', 0).set('m', 0).set('s', 0).set('ms', 0).utc().format()
}

function nextDateStartUtcFormat(dateObject) {
    if (!dateObject) {
        return
    }
    let dayJsObj= dayjs(dateObject);
    return dayJsObj.add(1, "d").set('h', 0).set('m', 0).set('s', 0).set('ms', 0).utc().format()
}

function nextDayStartUtcFormat(dayjsString) {
    if (!dayjsString) {
        return
    }
    let dayJsObj;
    if (isDayjs(dayjsString)) {
        dayJsObj = dayjsString;
    }else {
        dayJsObj = dayjs(dayjsString);
    }
    return dayJsObj.add(1, "d").set('h', 0).set('m', 0).set('s', 0).set('ms', 0).utc().format()
}

export {DATE_TIME_FORMAT, DATE_FORMAT,DATE_TIME_FORMAT_SIMPLE,
    dayStartUtcFormat,nextDayStartUtcFormat,
    dateStartUtcFormat,nextDateStartUtcFormat,
}