import React, {useEffect} from "react";
import {Outlet, useLocation, useNavigate} from "react-router-dom";
import {Button, NavBar} from "antd-mobile";

const DetailNavBar = () => {

    const navigate = useNavigate();
    const location = useLocation();
    const handleClick = () => {
        console.log("click", navigate.length);
        navigate(-1)
    }
    const [title, setTitle] = React.useState("");
    const [rightDesc, setRightDesc] = React.useState();
    const updateTitle = (value) => {
        setTitle(value)
    }
    const updateRightDesc = (value)=>{
        setRightDesc(value)
    }
    useEffect(()=>{

    },[location])
    return (
        <div className='detail'>
            <NavBar back='返回' onBack={handleClick} right={rightDesc}>{title}</NavBar>
            <Outlet context={{"setTitle": updateTitle,"setRightDesc":updateRightDesc}}/>
        </div>
    )

}
export default DetailNavBar;